.TH "COBRA\-CLI\-ADD" "1" "Mar 2022" "github.com/spf13/cobra-cli" "Cobra Manual"  ""
.nh
.ad l

.SH NAME
.PP
cobra\-cli\-add \- Add a command to a Cobra Application

.SH SYNOPSIS
.PP
\fBcobra add\fP [\fICOMMAND NAME\fP] [\fIOPTIONS\fP]

.SH DESCRIPTION
.PP
Add (cobra\-cli add) will create a new command, with a license and
the appropriate structure for a Cobra\-based CLI application,
and register it to its parent (default RootCmd).
.PP
If you want your command to be public, pass in the command name
with an initial uppercase letter.
.PP
Example: cobra\-cli add server \-> resulting in a new cmd/server.go

.SH ALIASES
.PP
\fBadd\fP, \fBcommand\fP

.SH OPTIONS
.TP
\fB\-h\fP, \fB\-\-help\fP
help for add
.TP
\fB\-p\fP, \fB\-\-parent\fP \fIstring\fP
variable name of parent command for this command (default \(lqrootCmd\(rq)

.SH OPTIONS INHERITED FROM PARENT COMMAND
.TP
\fB\-a\fP, \fB\-\-author\fP \fIstring\fP
author name for copyright attribution (default \(lqYOUR NAME\(rq)
.TP
\fB\-\-config\fP \fIstring\fP
config file (default is $HOME/.cobra.yaml)
.TP
\fB\-l\fP, \fB\-\-license\fP \fIstring\fP
name of license for the project
.TP
\fB\-\-viper\fP
Use Viper for configuration

.SH SEE ALSO
.PP
\fBcobra\-cli(1)\fP, \fBcobra\-cli\-init(1)\fP
